Differences between revisions 452 and 453
Revision 452 as of 2014-02-03 06:59:53
Size: 1620
Comment:
Revision 453 as of 2015-08-16 18:14:34
Size: 1214
Comment:
Deletions are marked like this. Additions are marked like this.
Line 10: Line 10:
 * Update Standards-Version to 3.9.5  * Update Standards-Version to 3.9.6
Line 19: Line 19:
== ocaml-extunix ==

 ocaml-extunix:: the execinfo test dies with a segmentation fault on i386, see https://forge.ocamlcore.org/tracker/index.php?func=detail&aid=1290&group_id=175&atid=782

= Out-of-date packages =

Sorted by dependency level:

 * 3 menhir
 * 4 xmlm
 * 4 type-conv
 * 4 ounit
 * 4 ocaml-res
 * 4 lablgtk2
 * 4 extlib
 * 5 sexplib310
 * 5 ocaml-extunix
 * 5 ocaml-expect
 * 5 ocaml-benchmark
 * 5 fieldslib
 * 5 bin-prot
 * 7 oasis
Line 44: Line 21:
 * ocaml 4.02.3 (bug [[https://bugs.debian.org/789133|#789133]])

Installability status: in unstable, in Ubuntu.

Check list

List of things you should check / do while updating your package:

  • Package new upstream version: implies (of course) a sourceful upload: be sure that all your reverse-dependencies compile and work properly...
  • Move to section ocaml if relevant
  • Update Standards-Version to 3.9.6
  • Check whether Ubuntu differences should be integrated, see the PTS for each package
  • Check packages affected by new ocaml-* Lintian tags

  • Remove additional dependencies added for uploads to experimental

Ongoing transitions

Future transitions

See also DDPO and Maintainer dashboard.